cURL
curl -X POST "$EXSITED_BASE_URL/api/v4/note_groups" \
-H "Authorization: Bearer $ACCESS_TOKEN" \
-H "Content-Type: application/json" \
-d '{
"note_group": {
"name": "Project team",
"note_users": [
{
"name": "Jane Citizen",
"email_address": "jane@example.com"
}
]
}
}'from exsited import build_client
client = build_client()
response = client.note_groups.create_note_group(
{
"note_group": {
"name": "Project team",
"note_users": [
{"name": "Jane Citizen", "email_address": "jane@example.com"}
],
}
}
)
print(response.data)
import {buildClient} from 'exsited';
const client = await buildClient();
const response = await client.noteGroups.createNoteGroup({
note_group: {name: 'Project team', note_users: [{name: 'Jane Citizen', email_address: 'jane@example.com'}]},
});
console.log(response.data);
use Exsited\Client\ClientRegistry;
$client = ClientRegistry::buildClient();
$response = $client->noteGroups->createNoteGroup([
'note_group' => [
'name' => 'Project team',
'note_users' => [['name' => 'Jane Citizen', 'email_address' => 'jane@example.com']],
],
]);
print_r($response->data);
import com.exsited.client.ApiResponse;
import com.exsited.client.ClientRegistry;
import com.exsited.client.ExsitedClient;
import com.exsited.resources.note_groups.note_groups_dto.NoteGroupsDto.NoteGroup;
import java.util.List;
import java.util.Map;
ExsitedClient client = ClientRegistry.buildClient();
ApiResponse<NoteGroup> response = client.noteGroups().createNoteGroup(
Map.of(
"note_group", Map.of(
"name", "Project team",
"note_users", List.of(
Map.of("name", "Jane Citizen", "email_address", "jane@example.com")))));
System.out.println(response.getMap());
using Exsited.Client;
await using var client = ExsitedClient.BuildClient();
var response = await client.NoteGroups.CreateNoteGroupAsync(new Dictionary<string, object?>
{
["note_group"] = new Dictionary<string, object?>
{
["name"] = "Project team",
["note_users"] = new List<object?>
{
new Dictionary<string, object?>
{
["name"] = "Jane Citizen",
["email_address"] = "jane@example.com",
},
},
},
});
Console.WriteLine(response.Json);
import 'package:exsited/exsited.dart';
final client = buildClient();
final response = await client.noteGroups.createNoteGroup({
'note_group': {
'name': 'Project team',
'note_users': [
{'name': 'Jane Citizen', 'email_address': 'jane@example.com'},
],
},
});
print(response.map);
import (
"context"
"fmt"
"log"
exsited "github.com/exsited/exsited-sdk-go/v4"
)
client, err := exsited.BuildClient(nil)
if err != nil {
log.Fatal(err)
}
defer client.Close()
response, err := client.NoteGroups().CreateNoteGroup(context.Background(), map[string]any{
"note_group": map[string]any{
"name": "Project team",
"note_users": []any{
map[string]any{
"name": "Jane Citizen",
"email_address": "jane@example.com",
},
},
},
}, nil)
if err != nil {
log.Fatal(err)
}
fmt.Println(response.Map)
{
"note_group": {
"object": "<string>",
"id": "<string>",
"status": "<string>",
"name": "<string>",
"display_name": "<string>",
"description": "<string>",
"created_on": "<string>",
"last_updated_on": "<string>",
"created_by": "<unknown>",
"last_updated_by": "<unknown>",
"version": 123,
"href": "<string>",
"activity_logs": [
{}
]
}
}Note groups
Create a note group
Creates a note group and returns it.
POST
/
note_groups
cURL
curl -X POST "$EXSITED_BASE_URL/api/v4/note_groups" \
-H "Authorization: Bearer $ACCESS_TOKEN" \
-H "Content-Type: application/json" \
-d '{
"note_group": {
"name": "Project team",
"note_users": [
{
"name": "Jane Citizen",
"email_address": "jane@example.com"
}
]
}
}'from exsited import build_client
client = build_client()
response = client.note_groups.create_note_group(
{
"note_group": {
"name": "Project team",
"note_users": [
{"name": "Jane Citizen", "email_address": "jane@example.com"}
],
}
}
)
print(response.data)
import {buildClient} from 'exsited';
const client = await buildClient();
const response = await client.noteGroups.createNoteGroup({
note_group: {name: 'Project team', note_users: [{name: 'Jane Citizen', email_address: 'jane@example.com'}]},
});
console.log(response.data);
use Exsited\Client\ClientRegistry;
$client = ClientRegistry::buildClient();
$response = $client->noteGroups->createNoteGroup([
'note_group' => [
'name' => 'Project team',
'note_users' => [['name' => 'Jane Citizen', 'email_address' => 'jane@example.com']],
],
]);
print_r($response->data);
import com.exsited.client.ApiResponse;
import com.exsited.client.ClientRegistry;
import com.exsited.client.ExsitedClient;
import com.exsited.resources.note_groups.note_groups_dto.NoteGroupsDto.NoteGroup;
import java.util.List;
import java.util.Map;
ExsitedClient client = ClientRegistry.buildClient();
ApiResponse<NoteGroup> response = client.noteGroups().createNoteGroup(
Map.of(
"note_group", Map.of(
"name", "Project team",
"note_users", List.of(
Map.of("name", "Jane Citizen", "email_address", "jane@example.com")))));
System.out.println(response.getMap());
using Exsited.Client;
await using var client = ExsitedClient.BuildClient();
var response = await client.NoteGroups.CreateNoteGroupAsync(new Dictionary<string, object?>
{
["note_group"] = new Dictionary<string, object?>
{
["name"] = "Project team",
["note_users"] = new List<object?>
{
new Dictionary<string, object?>
{
["name"] = "Jane Citizen",
["email_address"] = "jane@example.com",
},
},
},
});
Console.WriteLine(response.Json);
import 'package:exsited/exsited.dart';
final client = buildClient();
final response = await client.noteGroups.createNoteGroup({
'note_group': {
'name': 'Project team',
'note_users': [
{'name': 'Jane Citizen', 'email_address': 'jane@example.com'},
],
},
});
print(response.map);
import (
"context"
"fmt"
"log"
exsited "github.com/exsited/exsited-sdk-go/v4"
)
client, err := exsited.BuildClient(nil)
if err != nil {
log.Fatal(err)
}
defer client.Close()
response, err := client.NoteGroups().CreateNoteGroup(context.Background(), map[string]any{
"note_group": map[string]any{
"name": "Project team",
"note_users": []any{
map[string]any{
"name": "Jane Citizen",
"email_address": "jane@example.com",
},
},
},
}, nil)
if err != nil {
log.Fatal(err)
}
fmt.Println(response.Map)
{
"note_group": {
"object": "<string>",
"id": "<string>",
"status": "<string>",
"name": "<string>",
"display_name": "<string>",
"description": "<string>",
"created_on": "<string>",
"last_updated_on": "<string>",
"created_by": "<unknown>",
"last_updated_by": "<unknown>",
"version": 123,
"href": "<string>",
"activity_logs": [
{}
]
}
}Send the group wrapped in
note_group, with a name and, optionally, note_users to add. The new group comes back under note_group, with its activity_logs.
The SDK samples get their client from credentials your app registers once when it starts, as shown in Authentication. To try the call here, click Try it, set
host to your Exsited API host name and paste an access token from Get an access token. To send a raw JSON body instead of filling in fields, copy the cURL sample and edit its -d payload.Authorizations
An access token from POST /api/v4/oauth2/token. The SDKs get and renew it for you.
Body
application/json
Show child attributes
Show child attributes
Response
201 - application/json
The new note group, under note_group.
Show child attributes
Show child attributes